-- Speedometer.lua
CHUD.BottomElements = {
    {
        label = "SPEED",
        loffset = 0,
        roffset = 0,
        height = 10,
        isVisible = function() return true end,
        draw = function(p, v, x, y, w, h, f, el)
            local color = skincolors[CHUD.GetAccent(p)]
            CHUD.DrawLabeledRTSElement(el, tostring(p.speed/FRACUNIT) + " FU/t", v, x, y, w, h, f, color.chatcolor, color.chatcolor)
        end
    },
    {
        loffset = 0,
        roffset = 0,
        height = 10,
        max = FRACUNIT*100,
        isVisible = function() return true end,
        rampThickness = 1,
        draw = function(p, v, x, y, w, h, f, el)
            CHUD.DrawBarElement(el, p.speed, v, x, y, w , h, f, CHUD.GetAccent(p))
        end
    }
}

CHUD.DrawSpeedometer = function(v, p)
    local fadefactor = CHUD.width + CHUD.leftofs
    local x = -fadefactor + FixedMul((fadefactor + CHUD.leftofs)*FRACUNIT, CHUD.fade)/FRACUNIT
    local y = 200 - CHUD.bottomofs
    local f = V_SNAPTOBOTTOM|V_SNAPTOLEFT
    for i = #CHUD.BottomElements, 1, -1 do
        local el = CHUD.BottomElements[i]
        if not el.isVisible(p, el, v) then continue end
        y = $ - el.height
        CHUD.DrawElement(p, v, el, x, y, CHUD.width, el.height, f)
    end
end
